complexType "CommodityDeliveryPeriods"

Namespace: | http://www.fpml.org/FpML-5/reporting
Content: | complex, 1 attribute, 5 elements
Defined: | globally in fpml-com-5-5.xsd; see XML source
Includes: | definitions of 1 attribute, 2 elements
Used: | at 6 locations

Content Model Diagram

XML Representation Summary
<...
id | = | xsd:ID
| >
Content: | periods | periodsSchedule | (calculationPeriodsReference | calculationPeriodsScheduleReference | calculationPeriodsDatesReference)?
</...>

Content Model Elements (5):

  calculationPeriodsDatesReference, calculationPeriodsReference, calculationPeriodsScheduleReference, periods, periodsSchedule

Known Direct Subtypes (2):

  ElectricityDeliveryPeriods, GasDeliveryPeriods

All Direct / Indirect Based Elements (5):

  deliveryPeriods (in coalPhysicalLeg), deliveryPeriods (in electricityPhysicalLeg), deliveryPeriods (in gasPhysicalLeg), | deliveryPeriods (in metalPhysicalLeg), deliveryPeriods (in oilPhysicalLeg)

Known Usage Locations

- In derivations of other global types (2):

  ElectricityDeliveryPeriods (as extension base), | GasDeliveryPeriods (as extension base)

- As direct type of elements (4):

  deliveryPeriods (in coalPhysicalLeg), deliveryPeriods (in electricityPhysicalLeg), | deliveryPeriods (in metalPhysicalLeg), deliveryPeriods (in oilPhysicalLeg)

Annotation
The different options for specifying the Delivery Periods of a physical leg.
XML Source (w/o annotations (4); see within schema source)

<xsd:complexType name="CommodityDeliveryPeriods"> <xsd:choice> <xsd:element name="periods" type="AdjustableDates"/> <xsd:element name="periodsSchedule" type="CommodityCalculationPeriodsSchedule"/> <xsd:group minOccurs="0" ref="CommodityCalculationPeriodsPointer.model"/> </xsd:choice> <xsd:attribute name="id" type="xsd:ID"/> </xsd:complexType>

Attribute Detail (all declarations; defined within this component only; 1/1)
id

  Type: | xsd:ID, predefined
  Use: | optional

  XML Source (see within schema source)

  <xsd:attribute name="id" type="xsd:ID"/>

Content Element Detail (all declarations; defined within this component only; 2/5)
periods

  Type: | AdjustableDates, complex content

  The Delivery Periods for this leg of the swap. This type is only intended to be used if the Delivery Periods differ from the Calculation Periods on the fixed or floating leg. If DeliveryPeriods mirror another leg, then the calculationPeriodsReference element should be used to point to the Calculation Periods on that leg - or the calculationPeriodsScheduleReference can be used to point to the Calculation Periods Schedule for that leg.
  XML Source (w/o annotations (1); see within schema source)

  <xsd:element name="periods" type="AdjustableDates"/>

periodsSchedule

  Type: | CommodityCalculationPeriodsSchedule, complex content

  The Delivery Periods for this leg of the swap. This type is only intended to be used if the Delivery Periods differ from the Calculation Periods on the fixed or floating leg. If DeliveryPeriods mirror another leg, then the calculationPeriodsReference element should be used to point to the Calculation Periods on that leg - or the calculationPeriodsScheduleReference can be used to point to the Calculation Periods Schedule for that leg.
  XML Source (w/o annotations (1); see within schema source)

  <xsd:element name="periodsSchedule" type="CommodityCalculationPeriodsSchedule"/>

XML schema documentation generated with DocFlex/XML 1.8.6b2 using DocFlex/XML XSDDoc 2.5.1 template set. All content model diagrams generated by Altova XMLSpy via DocFlex/XML XMLSpy Integration.